Package org.gradle.api.plugins.quality

# Interface FindBugsReports

All Superinterfaces:
  `Collection<SingleFileReport>`, `org.gradle.util.Configurable<ReportContainer<SingleFileReport>>`, `DomainObjectCollection<SingleFileReport>`, `Iterable<SingleFileReport>`, `NamedDomainObjectCollection<SingleFileReport>`, `NamedDomainObjectSet<SingleFileReport>`, `ReportContainer<SingleFileReport>`, `Set<SingleFileReport>`

public interface FindBugsReports extends ReportContainer<SingleFileReport>
The reporting configuration for the `FindBugs` task. Only one of the reports can be enabled when the task executes. If more than one is enabled, an `InvalidUserDataException` will be thrown.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

`ReportContainer.ImmutableViolationException`

## Method Summary

Modifier and Type
Method
Description
`SingleFileReport`
`getEmacs()`
The findbugs Emacs report
`SingleFileReport`
`getHtml()`
The findbugs HTML report
`SingleFileReport`
`getText()`
The findbugs Text report
`FindBugsXmlReport`
`getXml()`
The findbugs XML report

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface org.gradle.api.DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

`add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface org.gradle.api.reporting.ReportContainer

`getAsMap, getEnabled, getEnabledDirectoryReportDestinations, getEnabledFileReportDestinations, getEnabledReportNames, getNamer, getNames, getRules, isEmpty`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getXml

@Internal FindBugsXmlReport getXml()
The findbugs XML report

Returns:
  The findbugs XML report

### getHtml

@Internal SingleFileReport getHtml()
The findbugs HTML report

Returns:
  The findbugs HTML report

### getText

@Internal SingleFileReport getText()
The findbugs Text report

Returns:
  The findbugs Text report

### getEmacs

@Internal SingleFileReport getEmacs()
The findbugs Emacs report

Returns:
  The findbugs Emacs report